Bug 244890 - gnash pulls in kdelibs
gnash pulls in kdelibs
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnash (Show other bugs)
6
All Linux
low Severity low
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
: 244989 246699 249926 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-19 14:13 EDT by Dan Williams
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-19 16:02:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Williams 2007-06-19 14:13:33 EDT
---> Downloading header for gnash to pack into transaction set.
gnash-0.8.0-1.fc6.i386.rp 100% |=========================|  24 kB    00:00     
---> Package gnash.i386 0:0.8.0-1.fc6 set to be updated
--> Running transaction check
--> Processing Dependency: libkdeprint.so.4 for package: gnash
--> Processing Dependency: libkdecore.so.4 for package: gnash
--> Processing Dependency: libkdeui.so.4 for package: gnash
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for kdelibs to pack into transaction set.
kdelibs-3.5.6-0.3.fc6.i38 100% |=========================| 593 kB    00:00     
---> Package kdelibs.i386 6:3.5.6-0.3.fc6 set to be updated
--> Running transaction check
--> Processing Dependency: libkdnssd for package: kdelibs
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for kdnssd-avahi to pack into transaction set.
kdnssd-avahi-0.1.3-0.1.20 100% |=========================| 3.3 kB    00:00     
---> Package kdnssd-avahi.i386 0:0.1.3-0.1.20060713svn.fc6 set to be updated

Seems wrong; what's it using that it requires 20MB of kdelibs?  I'm not
installing the klash subpackage at all, so I wouldn't expect KDE to come along
with it.
Comment 1 Patrice Dumas 2007-06-19 16:02:47 EDT
In the 0.8.0 version (unless I'm wrong) to have klash one
need to build also libklashplayer and link gnash against
libklashplayer, and therefore have the gnash player linked 
against kdelibs.

Seems to be different in cvs.
Comment 2 Patrice Dumas 2007-06-20 11:28:34 EDT
*** Bug 244989 has been marked as a duplicate of this bug. ***
Comment 3 Patrice Dumas 2007-07-04 17:01:55 EDT
*** Bug 246699 has been marked as a duplicate of this bug. ***
Comment 4 Patrice Dumas 2007-07-04 17:04:17 EDT
In fact as discussed in Bug 246699, gnash doesn't link against 
libklashplayer.so.*, but links directly against the kde libs.
Not a difference in practice.
Comment 5 Patrice Dumas 2007-07-28 03:54:54 EDT
*** Bug 249926 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.